@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@700&display=swap");

:root {
  --hand-width: 0.5rem;
  --sec-hand: 35%;
  --min-hand: calc(var(--sec-hand) * 0.85);
  --hour-hand: calc(var(--sec-hand) * 0.6);
  --clr-orange: hsl(31, 93%, 55%);
  --clr-red: hsl(1, 84%, 61%);
  --shadow-width: 30px;
  --body-padding: 5rem;
  --clock-max-height: calc(100vh - var(--body-padding) * 2);
  --clock-max-width: calc(100vw - var(--body-padding) * 2);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  width: 100vw;
  display: grid;
  place-items: center;
  font-family: "Open Sans", sans-serif;
  padding: var(--body-padding);
  overflow: hidden;
}

.container {
  height: 100%;
  max-width: min(var(--clock-max-width), 1000px);
  width: 100%;
  display: flex;
  justify-content: center;
  max-height: var(--clock-max-height);
}

.clock-wrapper {
  aspect-ratio: 1;
  max-height: var(--clock-max-width);
  max-width: var(--clock-max-height);
  padding: 15px;
}

.clock-body {
  border-radius: 50%;
  aspect-ratio: 1;
  position: relative;
  box-shadow: inset 0 0 var(--shadow-width) #f9f9f9, 0 0 0 15px #d3d3d3;
  max-height: calc(100vh - 10rem);
  max-width: calc(100vw - 10rem);
}

aside {
  position: absolute;
  top: 1rem;
  right: 1rem;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: center;
  gap: 1rem;
}

.disc {
  width: 0.5rem;
  height: 0.5rem;
  background: var(--clr-orange);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 2;
  transform: translateX(-50%) translateY(-50%);
}

.disc-bottom {
  width: 0.9rem;
  height: 0.9rem;
  background: #333;
  z-index: 1;
}

.hand {
  background: var(--clr-red);
  border-radius: 15px 15px 0 0;
  position: absolute;
  bottom: 50%;
  left: 50%;
  transform-origin: bottom;
  transition: all 0.05s;
}

.second {
  background: var(--clr-orange);
  width: 0.1rem;
  height: var(--sec-hand);
  transform: translateX(-50%) rotate(0deg);
  z-index: 2;

  &::before {
    content: "";
    height: 20%;
    width: 0.1rem;
    background: var(--clr-orange);
    position: absolute;
    top: 100%;
  }

  &::after {
    content: "";
    height: 20%;
    width: 0.3rem;
    background: var(--clr-orange);
    position: absolute;
    top: 120%;
    transform: translateX(-35%);
  }
}

.minute {
  height: var(--min-hand);
  width: 0.3rem;
  transform: translateX(-50%) rotate(0deg);
  background: var(--clr-red);

  &::after {
    content: "";
    height: 1.2rem;
    width: 0.3rem;
    background: var(--clr-red);
    position: absolute;
    top: 100%;
    border-radius: 0 0 10px 10px;
  }
}

.hour {
  height: var(--hour-hand);
  width: 0.4rem;
  background: var(--clr-red);
  transform: translateX(-50%) rotate(0deg);
  z-index: -1;

  &::after {
    content: "";
    height: 1.2rem;
    width: 0.4rem;
    background: var(--clr-red);
    position: absolute;
    top: 100%;
    border-radius: 0 0 10px 10px;
  }
}

.hours {
  width: 100%;
  height: 100%;
  position: relative;
}

.hour-number {
  position: absolute;
  left: 50%;
  height: 50%;
  transform-origin: bottom;
  padding: 1rem;
  color: var(--clr-red);
  user-select: none;
  font-size: 3vmin;

  &::before {
    height: 10px;
    width: 4px;
  }
}

.minute-bar {
  position: absolute;
  left: 50%;
  width: 1rem;
  height: 50%;
  transform-origin: bottom;
  transform: rotate(20deg) translateX(-50%);

  &::before {
    height: 6px;
    width: 2px;
  }
}

.hour-number::before,
.minute-bar::before {
  content: "";
  position: absolute;
  left: 50%;
  right: 50%;
  top: 0;
  border-radius: 0 0 15px 15px;
  transform: translateX(-50%);
  background: var(--clr-red);
}

button {
  padding: .25rem .5rem;
  border-radius: 4px;
  border: 1px solid var(--clr-red);
  background-color: var(--clr-orange);
  cursor: pointer;
  transition: background-color 200ms;

  &:hover {
    background-color: var(--clr-red);
  }
}